import pytest

from codesmidgen.app import make_app

pytestmark = [pytest.mark.asyncio]


@pytest.fixture
def app():
    return make_app()


async def test_index(app):
    test_client = app.test_client()
    response = await test_client.get('/')
    assert response.status_code == 200
